org.codehaus.plexus.compiler

## Enum CompilerMessage.Kind

- java.lang.Object
- - java.lang.Enum<CompilerMessage.Kind>
  - - org.codehaus.plexus.compiler.CompilerMessage.Kind

- All Implemented Interfaces:
    Serializable, Comparable<CompilerMessage.Kind>
  Enclosing class:
    CompilerMessage

      public static enum CompilerMessage.Kind
      extends Enum<CompilerMessage.Kind>

  As we are still 1.5 required we use a wrapper to Diagnostic.Kind and some compilers don't know jdk constants.
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Problem which prevents the tool's normal completion.
    `MANDATORY_WARNING` Problem similar to a warning, but is mandated by the tool's specification.
    `NOTE` Informative message from the tool.
    `OTHER` Diagnostic which does not fit within the other kinds.
    `WARNING` Problem which does not usually prevent the tool from completing normally.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompilerMessage.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompilerMessage.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final CompilerMessage.Kind ERROR

      Problem which prevents the tool's normal completion.

    - #### MANDATORY_WARNING

          public static final CompilerMessage.Kind MANDATORY_WARNING

      Problem similar to a warning, but is mandated by the tool's specification.

    - #### NOTE

          public static final CompilerMessage.Kind NOTE

      Informative message from the tool.

    - #### OTHER

          public static final CompilerMessage.Kind OTHER

      Diagnostic which does not fit within the other kinds.

    - #### WARNING

          public static final CompilerMessage.Kind WARNING

      Problem which does not usually prevent the tool from completing normally.

  - ### Method Detail

    - #### values

          public static CompilerMessage.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompilerMessage.Kind c : CompilerMessage.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompilerMessage.Kind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.